%define debug 0

%define build_for_ftp 0

%define buildall 0

%define redhatify 1

Name: kde-i18n
Version: 3.1
Release: 20AX
Url: http://www.kde.org
Summary: Internationalization support for KDE
Epoch: 1
Group: User Interface/Desktops
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2
#Source1: kde-i18n-is-3.0.8.tar.bz2
#Source2: kde-i18n-ko-3.0.8.tar.bz2
Source3: subdirs

Patch: kde-i18n-broken.patch 
Patch1: kde-i18n-rf-zh_CN_2004.patch
Patch2: kde-i18n-3.1-locale.patch
Patch3: kde-i18n-3.1-korean.patch
Patch4: kde-i18n-3.1-kget-ja.patch
Patch5: kde-i18n-3.1-system.patch

Requires: kdelibs >= 6:%{version}-0.11

BuildPrereq: kdelibs-devel >= 6:%{version}-0.11
BuildPrereq: findutils

%description
Internationalization support for KDE

%package Chinese
Summary: Chinese (Simplified Chinese) language support for KDE
Group: User Interface/Desktops
Requires: kdelibs >= 6:%{version}

%description Chinese
Chinese (Simplified Chinese) language support for KDE

%package Chinese-Big5
Summary: Chinese (Big5) language support for KDE
Group: User Interface/Desktops
Requires: kdelibs >= 6:%{version}

%description Chinese-Big5
Chinese (Big5) language support for KDE


%package Japanese
Summary: Japanese language support for KDE
Group: User Interface/Desktops

%description Japanese
Japanese language support for KDE

%package Korean
Summary: Korean language support for KDE
Group: User Interface/Desktops

%description Korean
Korean language support for KDE

%prep
%setup -q 

%patch -p0
%patch1 -p0 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1 
%patch5 -p1 

%build
export OLD_PO_FILE_INPUT=yes
export KDEDIR=%{_prefix}

# remove some language, which are not supported yet from RHL
rm -rf ar bg bs eo eu fa lt mt nso ta th ven vi xh zu

cp %{SOURCE3} .


make -f Makefile.cvs

%configure
make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

# make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    if [ ! -d common ] ; then
      ln -s ../en/common common
    fi

    for i in */*/*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../../common $i
      fi
    done

    for i in */*; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../../common $i
      fi
    done

    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../common $i
      fi
    done

    popd
  fi
done
popd

# remove zero-length file
for i in $(find $RPM_BUILD_ROOT%{_docdir}/HTML -size 0) ; do
   rm -f $i
done

%if %{redhatify}
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/flag.png
%endif

# conflict with kdevelop
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/kdevelop.mo

rm -f $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN/kdelibs.po.orig
%clean
rm -rf $RPM_BUILD_ROOT

%files Chinese
%defattr(-,root,root)
%lang(zh_CN) %{_datadir}/locale/zh_CN/*
%lang(zh_CN) %doc %{_docdir}/HTML/zh_CN

%files Chinese-Big5
%defattr(-,root,root)
%lang(zh_TW) %{_datadir}/locale/zh_TW/*
%lang(zh_TW) %doc %{_docdir}/HTML/zh_TW

%files Japanese
%defattr(-,root,root)
%lang(ja) %{_datadir}/locale/ja/*
%lang(ja) %doc %{_docdir}/HTML/ja/*

%files Korean
%defattr(-,root,root)
%lang(ko) %{_datadir}/locale/ko/*
%lang(ko) %doc %{_docdir}/HTML/ko/*


%changelog
* Wed Sep 13 2006 Shu Li <shuli@redflag-linux.com> 1:3.1-20AX
- Patch 5 for Bug 1825 - translate system.po

* Thu Nov 1 2005 Nam, Kwnowoo <kwnam@haansoft.com> 1:3.1-19AX
- modified korean translation(patch 3)
- add kget-ja translation(patch 4)

* Thu Nov 1 2005 Nam, Kwnowoo <kwnam@haansoft.com> 1:3.1-18AX
- modified korean translation(patch 3)

* Fri Nov 12 2004 Hua Jie <jiehua@redflag-linux.com> 1:3.1-17AX
- change "Country" to "Country & Region"

* Tue Feb 10 2004 Shu Li <shuli@redflag-linux.com> 1:3.1-16
- incorporate the patchs to one patch
- add Japanese and Korean

* Wed Mar 27 2003 Shu Li <shuli@redflag-linux.com> 1:3.1-3
- remove other language

* Wed Jan 29 2003 Than Ngo <than@redhat.com> 1:3.1-2
- fix conflict with kdevelop

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 1:3.1-1
- 3.1 release
- fix #81724

* Mon Jan 27 2003 Than Ngo <than@redhat.com> 1:3.1-0.7
- rc7

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 1:3.1-0.6
- rebuild

* Mon Jan 13 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- exclude ia64

* Tue Dec 12 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add missing requires kdelibs in sub packages

* Wed Dec 11 2002 Than Ngo <than@redhat.com> 3.1-0.3
- use %%configue
- dangling symlinks Bug #79345
- cleanup specfile

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- Add missing ko/is i18n

* Sun Nov 24 2002 Than Ngo <than@redhat.com> 3.1-0.1
- 3.1 rc4

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 3.0.5-1
- 3.0.5

* Mon Oct 14 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- localiztion fix (bug #75085, #75012)

* Mon Aug 12 2002 Than Ngo <than@redhat.com> 3.0.3-1
- 3.0.3

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-2
- get rid of zero-length files

* Tue Jul 09 2002 Than Ngo <than@redhat.com> 3.0.2-1
- 3.0.2

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 06 2002 Than Ngo <than@redhat.com> 3.0.1-1
- 3.0.1
- fixed rmplint errors #65989

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Apr 12 2002 Tim Powers <timp@redhat.com>3.0.0-5
- remove the following kde-i18n packages: Azerbaijani, Maltese,
  Esperanto, Tamil, Latvian, Xhosa, Lithuanian, Thai, and Bulgarian

* Tue Apr  9 2002 Than Ngo <than@redhat.com> 3.0.0-4
- fixed wrong tag 'nb' (bug #62890)

* Tue Apr  2 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fixed Dangling Symlinks (#62559)

* Fri Mar 29 2002 Than Ngo <than@redhat.com> 3.0.0-2
- fix bug #61930
- add missing koffice-i18n

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-1
- update kde 3.0 final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update
- fix bug #61513

* Thu Mar 14 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020314.1
- update

* Mon Mar 10 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020310.1
- update
- enable i18n for koffice

* Tue Mar  6 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020306.1
- update
- enable Catalan i18n
- use zh_TW and zh_CN instead zh_TW.Big5 and zh_CN.GB2312 (bug #60759)
- get rid of Buildrequires arts-devel

* Tue Jan  8 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020108.1
- update to CVS
- fix some broken po files
- fixed specfile

* Tue Nov 20 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2.2-2
- Build all languages
- Add missing files

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 2.2.2-1
- update to 2.2.2

* Tue Oct 09 2001 Than Ngo <than@redhat.com> 2.2-10
- fix rebuild problem against kdelibs-2.2-11 (bug #54476)

* Fri Sep 14 2001 Than Ngo <than@redhat.com> 2.2-9
- remove some broken stuff for building on s390

* Wed Aug 29 2001 Than Ngo <than@redhat.com> 2.2-8
- add some po files from Trond (Bug #35923, #35863)

* Thu Aug 23 2001 Than Ngo <than@redhat.com> 2.2-6
- add missing zh_TW.Big5
- fix file conflicts with koffice-i18n

* Tue Aug 14 2001 Tim Powers <timp@redhat.com>
- exclude Esperanto, Greek, Azerbaijani, Latvian, Maltese, Tamil,
  Serbian packages

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.2-5
- add missing kde-i18n for Norway

* Mon Aug 13 2001 Than Ngo <than@redhat.com> 2.2-4
- fix dangling symlinks (bug #51647)

* Sun Aug 12 2001 Than Ngo <than@redhat.com> 2.2-3
- add korean i18n

* Fri Aug 10 2001 Than Ngo <than@redhat.com> 2.2-2
- many bug fixes

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- fix build dependency (bug #50463)
- fix some broken docbook

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- update
- make symlinks relative

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update

* Mon Nov 27 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to CVS

* Wed Nov  1 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH

* Mon Oct 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Wed Oct  4 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- New CVS

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Sat Aug 19 2000 Than Ngo <than@redhat.com>
- put i18n stuff for KDE2 under /usr/lib/kde2,
  fix dependency problem

* Mon Jul 03 2000 Trond Eivind Glomsrd <teg@redhat.com>
- add default owner

* Sat Apr 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial RPM
